Skip to main content
`Ctrl`+`K`

# PetscRegressorReset

Resets a `PetscRegressor` context by removing any allocated `Vec` and `Mat`. Any options set in the object remain.

## Synopsis

    PetscErrorCode PetscRegressorReset(PetscRegressor regressor)

Collective

## Input Parameter

- regressor - context obtained from `PetscRegressorCreate()`

## See Also

`PetscRegressorCreate()`, `PetscRegressorSetUp()`, `PetscRegressorFit()`, `PetscRegressorPredict()`, `PetscRegressorDestroy()`

## Level

intermediate

## Location

src/ml/regressor/interface/regressor.c

## Implementations

PetscRegressorReset_Linear() in src/ml/regressor/impls/linear/linear.c

Index of all PetscRegressor routines
Table of Contents for all manual pages
Index of all manual pages